org.apache.hadoop.yarn.server.webapp

## Class WebPageUtils

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.WebPageUtils

-     public class WebPageUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebPageUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `appsTableInit()`
    `static String` | `appsTableInit(boolean isResourceManager)`
    `static String` | `appsTableInit(boolean isFairSchedulerPage, boolean isResourceManager)`
    `static String` | `attemptsTableInit()`
    `static String` | `containersTableInit()`
    `static String` | `resourceRequestsTableInit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebPageUtils

          public WebPageUtils()

  - ### Method Detail

    - #### appsTableInit

          public static String appsTableInit()

    - #### appsTableInit

          public static String appsTableInit(boolean isResourceManager)

    - #### appsTableInit

          public static String appsTableInit(boolean isFairSchedulerPage,
                                             boolean isResourceManager)

    - #### attemptsTableInit

          public static String attemptsTableInit()

    - #### containersTableInit

          public static String containersTableInit()

    - #### resourceRequestsTableInit

          public static String resourceRequestsTableInit()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.